import type { NamedInputEvent, SimpleValidationErrors, Validator as TValidator, ValidationCallback, ValidationErrors } from '../types/core';
export declare function createValidator(callback: ValidationCallback, initialData?: Record<string, unknown>): TValidator;
/**
 * Normalise the validation errors as Inertia formatted errors.
 */
export declare function toSimpleValidationErrors(errors: ValidationErrors | SimpleValidationErrors): SimpleValidationErrors;
/**
 * Normalise the validation errors as Laravel formatted errors.
 */
export declare function toValidationErrors(errors: ValidationErrors | SimpleValidationErrors): ValidationErrors;
/**
 * Resolve the input's "name" attribute.
 */
export declare function resolveName(name: string | NamedInputEvent): string;
